# In case of update of this package, update also mythes-lb - it's the same source!

%define languageenglazy Luxembourgish
%define languagecode    lb
%define lc_ctype        lb_LU

%define upstream_version 20180318

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 5
Summary:        %{languageenglazy} hunspell dictionaries
License:        EUPL 1.1
Group:          System/Internationalization
URL:            https://spellchecker.lu/
Source0:        http://downloads.spellchecker.lu/packages/OOo3/SpellcheckerLu.oxt#/%{name}-%{version}.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-lb
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc registration/README_lb_LU.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.20180318.1-5.mga10
+ Revision: 2202560
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.20180318.1-4.mga9
+ Revision: 1807941
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 0.20180318.1-3.mga8
+ Revision: 1501646
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.20180318.1-2.mga7
+ Revision: 1278843
- Mageia 7 Mass Rebuild

* Thu Mar 29 2018 kekepower <kekepower> 0.20180318.1-1.mga7
+ Revision: 1213476
- Update to release 20180318

* Mon Feb 08 2016 umeabot <umeabot> 0.20130913.1-5.mga6
+ Revision: 947640
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20130913.1-4.mga5
+ Revision: 739381
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20130913.1-3.mga5
+ Revision: 680266
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Oct 21 2013 umeabot <umeabot> 0.20130913.1-2.mga4
+ Revision: 536941
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.20130913.1-1.mga4
+ Revision: 485993
- New version: 0.20130913.1

* Sat Jan 12 2013 umeabot <umeabot> 0.20110513.1-7.mga3
+ Revision: 353538
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20110513.1-6.mga3
+ Revision: 325556
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.20110513.1-5.mga2
+ Revision: 224731
- add requirement on locales (mga#4632)

* Tue Feb 14 2012 kamil <kamil> 0.20110513.1-4.mga2
+ Revision: 208518
- stop obsoleting non existing myspell-lb
- adapt .spec to the current policies
- remove mythes-lb part from this package (it's now a stand-alone package)

* Fri Jul 08 2011 ahmad <ahmad> 0.20110513.1-1.mga2
+ Revision: 120159
- Update to 20110513

* Thu Mar 31 2011 ennael <ennael> 0.20110107.1-3.mga1
+ Revision: 79240
- fix group

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20110107.1-2.mga1
+ Revision: 68909
- imported package hunspell-lb


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20110107-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 09 2011 Caolán McNamara <caolanm@redhat.com> - 0.20110107-1
- latest version

* Wed Sep 15 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100914-1
- latest version

* Mon Jul 05 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100704-1
- latest version

* Tue Jun 29 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100628-1
- latest version

* Tue May 11 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100509-1
- latest version

* Thu Apr 22 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100420-1
- latest version

* Mon Apr 12 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100408-1
- latest version

* Thu Apr 08 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100407-2
- latest version

* Sun Apr 04 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100301-2
- mythes now owns /usr/share/mythes

* Tue Mar 02 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100301-1
- latest version

* Wed Feb 17 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100216-1
- latest version

* Wed Jan 27 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100120-1
- initial version
